import Profile from './profile';
import Fetcher from '../shared/fetches/fetcher';
import { fetchUserData } from '../../redux/actions/user';

function ProfileContainer() {
  return (
    <Fetcher action={fetchUserData} stateSelector={state => state.user}>
      {user => <Profile user={user} />}
    </Fetcher>
  );
}

export default ProfileContainer;
